<p class="topic">
Passwords Tab
</p>

<p class="text">
Use this tab to set up a password policy for the currently selected subtree or user.
</p>

<p class="text">
<b>Create subtree/user level password policy. </b>The caption of this checkbox reflects whether you opted to create a subtree or user level password policy. Selecting the checkbox adds the attributes required for defining the subtree- or user-level password policy. Once the policy is created, the caption changes to reflect that the existing policy can be modified or deleted. To delete the policy, unselect the checkbox. 
</p>

<p class="text">
<b>User Password Change</b>
</p>

<blockquote>
<p class="text">
<b>User must change password after reset. </b>When selected, users must change their passwords when they first log in or after the administrator resets the passwords.
</p>

<p class="text">
<b>User may change password.</b> When selected, allows users to change their own passwords.
</p>

<p class="text">
<b>Allow changes in X day(s). </b>Defines how often users can change their password. Use this value in conjunction with "Keep password history" to discourage users from recycling old passwords.
</p>

<p class="text">
<b>Keep password history.</b> Specifies that the server keep a list of user passwords. Use this in conjunction with "Allow changes in X day(s)" to discourage users from reusing old passwords. If you select this option, enter the number of passwords users must cycle through before they can reuse a password.
</p>

<p class="text">
<b>Remember X passwords. </b>If the server is keeping a password history, this option specifies how many old passwords the server should store in the history list. The valid value range is from 2 to 24. The default value is 6.
</p>
</blockquote>

<p class="text">
<b>Password Expiration</b>
</p>
<blockquote>
<p class="text">
<b>Password never expires.</b> Select this if you do not require users to change their passwords periodically.
</p>

<p class="text">
<b>Password expires after X days. </b>Select this if you want users to change their passwords periodically. If you select the option, in the text box, you must enter the number of days in which the password will expire.
</p>

<p class="text">
Note that the maximum value for the password age is derived by subtracting January 18, 2038 from today's date. The value you enter must not be set to the maximum value or too close to the maximum value. If you set the value to the maximum value, Directory Server may fail to start because the number of seconds will go past the epoch date. In such an event, the error log will indicate that the password maximum age is invalid. To resolve this problem, you must correct the <code>paswordMaxAge</code> attribute value in the <code>dse.ldif</code> file.
</p>

<p class="text">
A common policy is to have passwords expire every 30 to 90 days. By default, the password maximum age is set to 8640000 seconds (100 days).
</p>

<p class="text">
<b>Send warning X day(s) before password expires.</b> Indicates the number of days before a user's password is due to expire that the user will be sent a warning message. The valid value range is from 1 to 24,855 days. The default value is 1 day.
</p>

<p class="text">
<b>Allow up to X attempt(s) after password expires.</b> Indicates the number of grace logins permitted after a user's password has expired. Grace logins are not permitted by default.
</p>
</blockquote>

<p class="text">
<b>Password Syntax</b>
</p>
<blockquote>
<p class="text">
<b>Check password syntax.</b> Select this checkbox to enforce password syntax checking. Syntax checking ensures that the password strings conform to the syntax guidelines, such as minimum password length.
</p>

<p class="text">
<b>Password minimum length. </b>If syntax checking is on, this option specifies the minimum number of characters that must be used in directory server passwords. The valid value range is from 2 to 512 characters. The default value is 8.
</p>

<p class="text">
<b>Minimum required digit characters. </b>If syntax checking is on, this option specifies the minimum number of digit characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Minimum required alpha characters. </b>If syntax checking is on, this option specifies the minimum number of alpha characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Minimum required uppercase characters. </b>If syntax checking is on, this option specifies the minimum number of uppercase characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Minimum required lowercase characters. </b>If syntax checking is on, this option specifies the minimum number of lowercase characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Minimum required special characters. </b>If syntax checking is on, this option specifies the minimum number of special characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Minimum required 8-bit characters. </b>If syntax checking is on, this option specifies the minimum number of 8-bit characters that must be used in directory server passwords. The valid value range is from 0 to 64 characters. The default value is 0.
</p>

<p class="text">
<b>Maximum number of repeated characters. </b>If syntax checking is on, this option specifies the maximum number of repeated characters that is allowed to used in directory server passwords. The valid value range is from 0 to 64 characters. If 0 is set, the server does not check the repeated characters.  The default value is 0.
</p>

<p class="text">
<b>Minimum required character categories. </b>If syntax checking is on, this option specifies the minimum number of character categories that must be used in directory server passwords. The valid value range is from 1 to 5 characters. The default value is 3.
</p>

<p class="text">
<b>Minimum token length. </b>If syntax checking is on, this option specifies the minimum token length that must be used in directory server passwords. The valid value range is from 1 to 64 characters. The default value is 3.
</p>
</blockquote>

<p class="text">
<b>Password encryption. </b>Identifies how user passwords are stored in the directory. You can specify one of the following encryption formats:
</p>

<blockquote>
<p class="text">
<b>Salted Secure Hashing Algorithm (SSHA).</b> This method is recommended as the most secure. SSHA is the default encryption method.
</p>

<p class="text">
<b>UNIX crypt algorithm (CRYPT).</b> Provided for compatibility with UNIX passwords.
</p>

<p class="text">
<b>Secure Hashing Algorithm (SHA, SHA256, SHA384, SHA512).</b> One-way hash algorithms.
</p>

<p class="text">
<b>No encryption (CLEAR).</b> This encryption type indicates that the password will appear in plain text.
</p>

</blockquote>

<p class="text">
Passwords stored using SSHA, CRYPT, or SHA formats cannot be used for secure login through SASL Digest MD5.
</p>
